Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
branding
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Branding.GetAsync();
    }

}
package example

import (
context "context"

client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Branding.Get(
context.TODO(),
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.branding().get();
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->branding->get();
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.branding.get()
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.branding.get
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.get();
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.get();
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/branding \
--header 'Authorization: Bearer <token>'
{
  "colors": {
    "primary": "<string>",
    "page_background": "<string>"
  },
  "favicon_url": "<string>",
  "logo_url": "<string>",
  "font": {
    "url": "<string>"
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Réponse

Branding settings successfully retrieved.

colors
object

Custom color settings.

favicon_url
string<strict-https-uri>

URL for the favicon. Must use HTTPS.

logo_url
string<strict-https-uri>

URL for the logo. Must use HTTPS.

font
object

Custom font settings.